summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-04-13 20:02:39 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-04-13 20:08:37 +0200
commit5ecb8e6a436e4c574f0ceef868c7369275f82b18 (patch)
tree8c0692e3eda6b128e54f74e3e7fc2184f2c76018 /dev-qt/qtdatavis3d
parentdev-python/paho-mqtt: bump version to 1.3.1 (diff)
downloadgentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.tar.gz
gentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.tar.bz2
gentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.zip
dev-qt: 5.9.5 version bump
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'dev-qt/qtdatavis3d')
-rw-r--r--dev-qt/qtdatavis3d/Manifest1
-rw-r--r--dev-qt/qtdatavis3d/qtdatavis3d-5.9.5.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-qt/qtdatavis3d/Manifest b/dev-qt/qtdatavis3d/Manifest
index 122102eab82..e6e14c73638 100644
--- a/dev-qt/qtdatavis3d/Manifest
+++ b/dev-qt/qtdatavis3d/Manifest
@@ -1,2 +1,3 @@
DIST qtdatavis3d-opensource-src-5.7.1.tar.xz 5155740 BLAKE2B bd0fbd04367dfbc328d1d63fe5e2557a491f8d2dddbca4efadc190bdfa640f3ae2c7db1b29ec9ff07e3b8e03cab2b4caa4cae2ffa396d82d4db728aff252dbbc SHA512 2739f7ddcf81fa53a2673e7073c1dac54ea15b70175e19697c7711d652101f0f9a41dc5f89ea33bc5675605ba760667ead8cfde10940dbad8ec75f6897c67b5a
DIST qtdatavis3d-opensource-src-5.9.4.tar.xz 5164120 BLAKE2B e8e9586da6e261f22ac6dba12b530755b1b6914f702a33d196968f7c8812e4d5a6b86dd7584c109385fa2e9bc33fcfc067b2538f8d4cff69d3a0624a26822a8e SHA512 8e314d4b0324b6d9aa9a4a63bd3e21010545ce7ffa250614ceea6052b37d7519036a4e13ce1b3cd264e5ce00453bceb774234932cf3c3a49bcded0988d4110c2
+DIST qtdatavis3d-opensource-src-5.9.5.tar.xz 5161916 BLAKE2B a284269677d9a60ef13f4970a922706ba5ec3f7ba864175989ed37b5396529286cab3cd51d6cb2a9890fca6384438b41b2adeebe2099649da1735458e68be7ef SHA512 8f8b93a4e89c1d95068ae188d11f796f6ae161a01b53254f3ef9d434b2f9335a554f377d813e82de242cbcdf68815918430bdee8329b831f82b989f5c517da94
diff --git a/dev-qt/qtdatavis3d/qtdatavis3d-5.9.5.ebuild b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.5.ebuild
new file mode 100644
index 00000000000..647770499ac
--- /dev/null
+++ b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="3D data visualization library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="gles2 qml"
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtgui-${PV}[gles2=]
+ qml? ( ~dev-qt/qtdeclarative-${PV}[gles2=] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # eliminate bogus dependency on qtwidgets
+ sed -i -e '/requires.*widgets/d' qtdatavis3d.pro || die
+
+ qt_use_disable_mod qml quick \
+ src/src.pro
+
+ qt5-build_src_prepare
+}